--------------------------------------------------
-- tb_MuxFir.vhd
-- by Toshio Iwata at digitalfilter.com 2004/09/09

library IEEE;
  use IEEE.std_logic_1164.all;

entity tb_MuxFir is
end tb_MuxFir ;

architecture beh of tb_MuxFir is

component MuxFir
   Port (
          RST_N : In std_logic;
          MCLK : In std_logic;
          FSCLK : In std_logic;
          XIN : In std_logic_vector(15 downto 0);
          YOUT : Out std_logic_vector(15 downto 0) );
end component;

component clks
   Port (
	  MCLK : out std_logic; 
	  FSCLK : out std_logic );
end component;

component up_out
   Port (
	  RST_N : out std_logic );
end component;

component datas
   Port (
          XIN : out std_logic_vector(15 downto 0) );
end component;

signal rst_n_sig : std_logic;
signal mclk_sig : std_logic;
signal fsclk_sig : std_logic;
signal xin_sig : std_logic_vector(15 downto 0);
signal yout_sig : std_logic_vector(15 downto 0);
signal xin_sig_mon : std_logic_vector(15 downto 0);
signal yout_sig_mon : std_logic_vector(15 downto 0);

begin

  xin_sig_mon <= not xin_sig(15) & xin_sig(14 downto 0);
  yout_sig_mon <= not yout_sig(15) & yout_sig(14 downto 0);
  
MuxFir_1 : MuxFir port map (
          RST_N => rst_n_sig,
          MCLK => mclk_sig,
          FSCLK => fsclk_sig,
          XIN => xin_sig,
          YOUT => yout_sig);

clks_1 : clks port map (
     MCLK => mclk_sig, 
     FSCLK => fsclk_sig );

datas_1 : datas port map (
     XIN => xin_sig );

up_out_1 : up_out port map (
     RST_N => rst_n_sig );

MAIN_P: process

begin -- process MAIN_P

wait ;

end process ;  -- MAIN_P
-----------------------------------------------------------------------
end beh ;
